$(function() {
  $('p.use-file-from-strongbox span').click(function(e) {
    var url = $(this).data('url');
    var base_widget = $(this).parents('.file-upload-widget');
    $.ajax({
        url: url,
        beforeSend: function(xhr) {xhr.setRequestHeader('X-Popup', 'true'); },
        success: function(html) {
            console.log('success');
            var title = $(html).find('h2').text();
            var dialog = $(html).dialog({
                modal: true,
                title: title,
                width: 'auto'
            });
            $(dialog).find('h2').remove();
            $(dialog).find('.buttons a').click(function() { $(dialog).dialog('destroy'); return true;});
            $(dialog).find('input[name=cancel]').click(function() { $(dialog).dialog('destroy'); return false;});
            $(dialog).find('input[name=pick]').click(function() {
                 var json_url = url + '&select=true&val=' + $(dialog).find('input[name=file]:checked').val();
                 console.log('json url:', json_url);
                 $.getJSON(json_url, function(data, textStatus, jqXHR) {
                       console.log('data:', data);
                       $(base_widget).find('.filename').text(data.filename);
                       $(base_widget).find('.fileinfo').show();
                       $(base_widget).find('input[type=hidden]').val(data.token);
                       $(base_widget).find('input[type=file]').hide();
                     }
                 );
                 $(dialog).dialog('destroy');
                 return false;
            });
            return false;
        }
    });
    return false;
  });
});
